#include <iostream>

using namespace std;

int main()
{
    int m;
    int a,b;
    cin>>m;
    for(int i=0; i<m; i++)
    {
        cin>>a>>b;
    }
    for(int i=0; i<m; i++)
    {
        cout<<0<<"\n";
    }
}